commit 9573f94def63d18823cfc66fdaf1a1a1c0f47971
Author: freddy77 <freddy77>
Date:   Mon Sep 1 15:17:57 2008 +0000

    check bug on column size computation for NVARCHAR

diff --git a/ChangeLog b/ChangeLog
index 913beed..8a93416 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Mon Sep 01 17:16:05 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/genparams.c:
+	- reproduce bug detected by Sebastien Flaesch on column size
+	  computation for NVARCHAR
+
 Fri Aug 29 16:18:44 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/genparams.c: update test
 
@@ -597,4 +602,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2597 2008/08/29 14:19:17 freddy77 Exp $
+$Id: ChangeLog,v 1.2598 2008/09/01 15:17:57 freddy77 Exp $
diff --git a/src/odbc/unittests/genparams.c b/src/odbc/unittests/genparams.c
index bc97698..4ee3ec9 100644
--- a/src/odbc/unittests/genparams.c
+++ b/src/odbc/unittests/genparams.c
@@ -4,7 +4,7 @@
 
 /* Test various type from odbc and to odbc */
 
-static char software_version[] = "$Id: genparams.c,v 1.28 2008/08/29 14:19:17 freddy77 Exp $";
+static char software_version[] = "$Id: genparams.c,v 1.29 2008/09/01 15:17:57 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef TDS_NO_DM
@@ -281,6 +281,9 @@ AllTests(void)
 		Test("BIGINT", "-987654321065432", SQL_C_BINARY, SQL_BIGINT, big_endian ? "FFFC7DBBCF083228" : "283208CFBB7DFCFF");
 		TestInput(SQL_C_SBIGINT, "BIGINT", SQL_BIGINT, "BIGINT", "-12345678901234");
 		TestInput(SQL_C_CHAR, "NVARCHAR(100)", SQL_WCHAR, "NVARCHAR(100)", "test");
+		/* test for invalid stream due to truncation*/
+		TestInput(SQL_C_CHAR, "NVARCHAR(100)", SQL_WCHAR, "NVARCHAR(100)", "01234567890");
+		TestInput(SQL_C_CHAR, "NVARCHAR(100)", SQL_WCHAR, "NVARCHAR(100)", "012345678901234567890");
 		TestInput(SQL_C_CHAR, "NVARCHAR(100)", SQL_WCHAR, "NVARCHAR(100)", "\xa3h\xf9 -> 0xA3006800f900");
 		TestInput(SQL_C_CHAR, "NVARCHAR(100)", SQL_WCHAR, "NVARCHAR(100)", "0xA3006800f900 -> \xa3h\xf9");
 

